package com.javacodegeeks.core.string;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.Reader;
import java.io.StringWriter;
import java.io.Writer;

public class StringWriterExample {

	public static void main(String[] args) throws IOException {
		
		String str1 = stringWriter("F:\\nikos7\\Desktop\\s.txt");
		System.out.println(str1);
	}
	
	public static String stringWriter(String fileName) throws IOException {

        char[] buff = new char[1024];
        Writer stringWriter = new StringWriter();
        FileInputStream fStream = null;
        Reader bReader = null;

        try {

            fStream = new FileInputStream(fileName);
            bReader = new BufferedReader(new InputStreamReader(fStream, "UTF-8"));
            int n;
            while ((n = bReader.read(buff)) != -1) {
                stringWriter.write(buff, 0, n);
            }
        } finally {
        	bReader.close();
            stringWriter.close();
            fStream.close();
        }
        return stringWriter.toString();
    }
}
